APIs / Skyscanner / Flights Search
Skyscanner: Flights Search
Flights Search from Skyscanner as JSON. 1 credit per successful call.
GET /v1/skyscanner/flights-search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
origin_id | string | Required | Any |
destination_id | string | Required | Any |
departure_date | string | Required | Any |
return_date | string | Optional | Any |
adults | integer | Optional | Any |
limit | integer | Optional | Any |
sort | string | Optional | price, duration |
Example request
curl "https://api.perceptlayer.com/v1/skyscanner/flights-search?origin_id=27544008&destination_id=27537542&departure_date=2026-12-04" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.